Skip to content

Retrieve annotations on a video document.

GET/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/export-video-annotations

This Accept header only changes the format of the response in the case of an error. On SUCCESS, the HTTP Response Header Content-Type is set to text/plain;charset=UnicodeLittle.

NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The video document id field value.
{major_version}The video document major_version_number__v field value.
{minor_version}The video document minor_version_number__v field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.3/objects/documents/14/versions/2/1/export-video-annotations
* Name: Cholecap Presentation * Number: VV-00040 * Version: 2 * Status: draft * Download timestamp: 1/4/18 11:32:02 AM PST ------------------------------- Time signature: 00:01:35 Note ID: 1515092438330 Author: Lateef Gills Timestamp: 1/4/18 11:00:38 AM PST Version of origin: 2 Status: Open Comment: Slide 3 displays here Reply author: Teresa Ibanez Reply timestamp: 1/4/18 12:31:05 PM PST Reply comment: Thanks! ## END

On SUCCESS, Vault includes the following information:

Metadata FieldDescription
Note IDThe id of the video annotation to retrieve.
AuthorThe name of the user who created the annotation.
TimestampTimestamp when the annotation was created.
Version of originThe original version of the document where the annotation was created.
Note statusIndicates if the annotation is open or closed.
Comment textThe annotation text.

This example includes a reply and the reply details which displays under the parent note. Vault orders annotations by time signature.